{ config, pkgs, ... }:
let
  # Import Home Manager with niv.
  home-manager = (import ../../nix/sources.nix).home-manager;
in
{
  imports = [
    (import "${home-manager}/nixos")
    ../../modules/git.home.nix
    ../../modules/zsh.home.nix
    # TODO
    #../../modules/nitrokey-ssh-gpg.home.nix
  ];

  /* Enable home-manager to configure GNOME */
  programs.dconf.enable = true;

  home-manager.users.yoda = {
    /* The home.stateVersion option does not have a default and must be set */
    /* https://nixos.wiki/wiki/FAQ/When_do_I_update_stateVersion */
    home.stateVersion = "23.05";

    /* Here goes the rest of your home-manager config, e.g. home.packages = [ pkgs.foo ]; */

    #home.username = "yoda";
    #home.homeDirectory = "/home/yoda";

    #services.gpg-agent = {
    #  enable = true;
    #  enableSshSupport = true;
    #  defaultCacheTtl = 1800;
    #};

# TODO: See history.path below.
#    xdg = {
#      enable = true;
#      #dataHome = "${config.xdg.home.homeDirectory}/.local/share";
#    };


  };
}
